<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	Reasignar Territorial a Ejecutar los avalúos de una Radicación
                        
@cu 			CU-SA-AC-006 

  
@ManagedBean 	ReasignacionTerritorialAvaluosMB 
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="/templates/generalCU.xhtml" >

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Reasignar territorial::.
    </ui:define>

    <ui:define name="content">



        <h:form id="reasignarForm">  

            <p:spacer height="10" />

            <h:panelGrid columns="2">
                <h:outputLabel value="Territorial"
                               styleClass="outputLabelStyle" />

                <h:outputText id="TerritorialesConDireccionGeneralCV-1"
                              value="#{reasignacionTerritorialAvaluos.territorialActual}"
                              styleClass="outputTextStyle">
                    <f:converter converterId="converterCB"
                                 for="TerritorialesConDireccionGeneralCV-1"/>
                </h:outputText> 

            </h:panelGrid>

            <p:spacer height="10" />

            <p:fieldset>
                <legend>
                    <h:outputLabel value="Consulta radicaciones definitivas" styleClass="legendTitle" />
                </legend>

                <p:spacer height="10" width="0" />

                <h:panelGrid columns="3">
                    <h:outputLabel value="Territorial asignada:"
                                   styleClass="outputLabelStyle" />

                    <h:selectOneMenu 
                        value="#{reasignacionTerritorialAvaluos.territorialAsignada}">
                        <f:selectItems value="#{reasignacionTerritorialAvaluos.listaTerritoriales}"/>

                    </h:selectOneMenu>

                    <p:commandButton id="reasignarBtn"
                                     value="Aceptar" icon="ui-icon-document"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide();"
                                     update=":reasignarForm:solPanel"
                                     action="#{reasignacionTerritorialAvaluos.reasignarTerritorial}">
                    </p:commandButton>


                </h:panelGrid>


                <h:panelGrid id="solPanel" cellpadding="5" cellspacing="5" width="100%">

                    <p:dataTable value="#{reasignacionTerritorialAvaluos.solicitudesLista}" var="solicitud"
                                 selection="#{reasignacionTerritorialAvaluos.solicitudesSeleccionadas}"
                                 selectionMode="multiple"
                                 rowKey="#{solicitud.id}"
                                 emptyMessage="No existen solicitudes para reasignar"
                                 paginatorPosition="bottom" paginator="true" rows="10"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} 
                                 {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 rowsPerPageTemplate="5,10,15"
                                 rendered="#{reasignacionTerritorialAvaluos.banderaAsignarSolicitud}">

                        <f:facet name="header">  
                            Solicitudes para reasignar
                        </f:facet>


                        <p:column headerText="Radicación">
                            <h:outputText 
                                styleClass="outputTextStyle" 
                                value="#{solicitud.numeroRadicacionDefinitiva}"/>
                        </p:column>

                        <p:column headerText="Fecha radicación">
                            <h:outputText styleClass="outputTextStyle" value="#{solicitud.fecha}">
                                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"/>
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Solicitante">
                            <h:outputText styleClass="outputTextStyle" value="#{solicitud.solicitanteSolicituds[0].nombreCompleto}"/>

                        </p:column>

                        <p:column headerText="Tipo empresa">
                            <h:outputText id="PersonaTipoPersonaV"
                                          styleClass="outputTextStyle" 
                                          value="#{solicitud.solicitanteSolicituds[0].tipoPersona}">
                                <f:converter converterId="converterCB" for="PersonaTipoPersonaV"/>
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Tipo trámite">
                            <h:outputText id="AvaluosComercialesTipoTramite"
                                          styleClass="outputTextStyle" 
                                          value="#{solicitud.tipo}">
                                <f:converter converterId="converterCB"
                                             for="AvaluosComercialesTipoTramite" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Territorial Asignada">
                            <h:outputText id="TerritorialesConDireccionGeneralCV"
                                          styleClass="outputTextStyle" 
                                          value="#{solicitud.destinoTerritorialId}">
                                <f:converter converterId="converterCB"
                                             for="TerritorialesConDireccionGeneralCV"/>
                            </h:outputText>

                        </p:column>

                    </p:dataTable>

                    <p:dataTable value="#{reasignacionTerritorialAvaluos.avaluosLista}" var="avaluo"
                                 selection="#{reasignacionTerritorialAvaluos.avaluosSeleccionados}"
                                 selectionMode="multiple"
                                 rowKey="#{avaluo.id}"
                                 emptyMessage="No existen avaluos para reasignar"
                                 paginatorPosition="bottom" paginator="true" rows="10"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} 
                                 {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 rowsPerPageTemplate="5,10,15"
                                 rendered="#{!reasignacionTerritorialAvaluos.banderaAsignarSolicitud}">

                        <f:facet name="header">  
                            Avalúos para reasignar
                        </f:facet>

                        <p:column headerText="Radicación">
                            <h:outputText 
                                styleClass="outputTextStyle" 
                                value="#{avaluo.tramite.solicitud.numeroRadicacionDefinitiva}"/>
                        </p:column>
                        <p:column headerText="Sec. radicado">
                            <h:outputText 
                                styleClass="outputTextStyle" 
                                value="#{avaluo.secRadicado}"/>
                        </p:column>

                        <p:column headerText="Fecha radicación">
                            <h:outputText styleClass="outputTextStyle" value="#{solicitud.fecha}">
                                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"/>
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Solicitante">
                            <h:outputText styleClass="outputTextStyle" value="#{avaluo.tramite.solicitud.solicitanteSolicituds[0].nombreCompleto}"/>

                        </p:column>

                        <p:column headerText="Tipo empresa">
                            <h:outputText id="PersonaTipoPersonaV-2"
                                          styleClass="outputTextStyle" 
                                          value="#{avaluo.tramite.solicitud.solicitanteSolicituds[0].tipoPersona}">
                                <f:converter converterId="converterCB" for="PersonaTipoPersonaV-2"/>
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Tipo trámite">
                            <h:outputText id="AvaluosComercialesTipoTramite-2"
                                          styleClass="outputTextStyle" 
                                          value="#{avaluo.tramite.solicitud.tipo}">
                                <f:converter converterId="converterCB"
                                             for="AvaluosComercialesTipoTramite-2" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Territorial Asignada">
                            <h:outputText id="TerritorialesConDireccionGeneralCVLong"
                                          styleClass="outputTextStyle" 
                                          value="#{avaluo.estructuraOrganizacionalCod}">
                                <f:converter converterId="converterCB"
                                             for="TerritorialesConDireccionGeneralCVLong"/>
                            </h:outputText>

                        </p:column>

                    </p:dataTable>

                </h:panelGrid>

            </p:fieldset> 



            <p:spacer height="20" />


            <p:spacer height="10" width="0" />
            <h:panelGrid columns="2">


            </h:panelGrid>

        </h:form>
    </ui:define>
</ui:composition>
